호출자가 멤버십을 가지고 있는 조직만 반환합니다. Atlas 권한 부여를 사용할 수 없는 경우, 마지막으로 반영된 조직은 여전히 atlas_reauth_required=true로 읽기 전용으로 반환됩니다.
GET /api/v1/organizations
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/organizations' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"atlas_reauth_required": true,
"limit": 42,
"offset": 42,
"organizations": [
{
"admins": [
{
"email": "string",
"name": "string"
}
],
"atlas": {
"environment": "string",
"id": "string"
},
"created_at": "string",
"description": "string",
"id": "string",
"name": "string",
"source": "atlas",
"updated_at": "string"
}
],
"total": 42
}
응답 예시(200)
{
"atlas_reauth_required": true,
"limit": 42,
"offset": 42,
"organizations": [
{
"admins": [
{
"email": "string",
"name": "string"
}
],
"atlas": {
"environment": "string",
"id": "string"
},
"created_at": "string",
"description": "string",
"id": "string",
"name": "string",
"source": "atlas",
"updated_at": "string"
}
],
"total": 42
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}